API
2 min
Create form link
Get public form by id
Data schema for rendering the form to the user
GET
https://{{vladislavk}}/v2-forms/public/{{lUBsYNOIQOgnqWiUDoYOJ}}
Path Parameters
- formIdstring
Query Parameters
- tstringDescription
javascript
fetch("https://hypercharge.hyper1.net/v2-forms/public/formsUnsubscribe", {
"method": "GET",
"headers": {
"Accept": "application/json"
}
})
.then(response => {
console.log(response);
})
.catch(err => {
console.error(err);
});200
{
"form": {
"ui": {},
"data": {},
"schema": {
"type": "object",
"title": "Unsubscribe form",
"required": [
"mailSubscription"
],
"properties": {
"mailSubscription": {
"type": "boolean",
"title": "Unsubscribe?",
"default": true
}
},
"description": "Hi Customer. On this form you can unsubscribe from the newsletter [email protected]"
}
},
"logo": "https://hypercharge.hyper1.net/assets/images/logo.jpg",
"description": "Brusselsesteenweg 506, 9050 Gent-Ledeberg\[email protected]\nCIAC VAT: 0460.935.684"
}404
Save public form
The entity item will be added to the entity that is configured in the administrative panel of the portal
POST
https://{{host}}/v2-forms/public/{{formId}}
Path Parameters
- formIdstring
Query Parameters
- tstringDescription
Body Parameters
- propertyId1stringDescription
- propertyIdNstringDescription
- g-recaptcha-responsestringDescription
javascript
fetch("https://hypercharge.hyper1.net/v2-forms/public/formsUnsubscribe", {
"method": "POST",
"headers": {
"Accept": "application/json"
},
"body": JSON.stringify(data)
})
.then(response => {
console.log(response);
})
.catch(err => {
console.error(err);
});200
{
"status": "success"
}404
429
{
"code": "TOO_MANY_REQUESTS"
}